package com.goldenwater.slgc.service.impl.pms;

import com.goldenwater.slgc.entity.pms.PmsBidTender;
import com.goldenwater.slgc.mapper.pms.PmsBidTenderMapper;
import com.goldenwater.slgc.service.pms.IPmsBidTenderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import java.util.List;

@Service
@Transactional
public class PmsBidTenderServiceImpl implements IPmsBidTenderService {
    @Autowired
    private PmsBidTenderMapper pmsBidTenderMapper;

    /**
     * 查询投标列表
     */
    @Override
    public List<PmsBidTender> selectList(PmsBidTender bidTender) {
        return pmsBidTenderMapper.selectList(bidTender);
    }

    /**
     * 根据主键查询投标
     */
    @Override
    public PmsBidTender selectById(Long id) {
        return pmsBidTenderMapper.selectById(id);
    }

    /**
     * 新增投标
     */
    @Override
    public int insert(PmsBidTender bidTender) {
        return pmsBidTenderMapper.insert(bidTender);
    }

    /**
     * 修改投标
     */
    @Override
    public int update(PmsBidTender bidTender) {
        return pmsBidTenderMapper.update(bidTender);
    }

    /**
     * 删除投标
     */
    @Override
    public int deleteById(Long id) {
        return pmsBidTenderMapper.deleteById(id);
    }

    /**
     * 批量删除投标
     */
    @Override
    public int deleteByIds(Long[] ids) {
        return pmsBidTenderMapper.deleteByIds(ids);
    }
}
